Subject: PC-Pine 4.04 and display/sending-filters

From: Michael Ruder <[email-masked]>
Date: Sun, 20 Sep 1998 23:12:36 -0600 (MDT)

Hi,

first of all: great job! I like Pine 4.0x, a lot of wonderful
enchancments.

Today I was playing with the display/sending-filters of Pine 4.04 and I
tried to include PGP as I did with Pine 3.96 on Linux (worked fine!).
Unfortunately, I wasn't able to get it done in PC-Pine 4.04 and PGP
2.6.3i for Windows 95/NT (this is the commandline version):

First, I tried the filter mode, f.e. I added as sending filter

C:\path\PGP.EXE -fast

for signing a message.

PGP started and Pine crashed with a GPE, and the PGP window stayed open.

Then I remembered that I have read something about a still broken "Pipe"
command, so I decided to try the _TMPFILE_ method, I added something like

C:\path\PGP_sign.BAT _TMPFILE_ (or is it _TEMPFILE_? I used the one from
the help)

Worked fine so far, PGP_sign.BAT started, but unfortunately, the TEMPFILE
(something like C:\WINDOWS\TEMP\s9819a2) wasn't there... And Pine did not
wait for the BAT-File to complete and that's why the TEMPFILE isn't there:
Pine creates it and deletes it immediately afterwards.

I think these are bugs in Pine, but maybe I did something wrong... Any
comments?

       -Michael

  /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
 < Michael Ruder, mailto:[email-masked], http://homepages.uni-tuebingen.de/mr >
  \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
       PGP key available, fingerprint: F518B098044A7304 0E3819F2FCA51F21

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------